FB_ALLOC_CMAP(9)

NAME
fb_alloc_cmap - allocate a colormap

SYNOPSIS

int fb_alloc_cmap (struct fb_cmap * cmap, int len, int transp);

ARGUMENTS

cmap
    frame buffer colormap structure

len length of cmap

transp
    boolean, 1 if there is transparency, 0 otherwise

DESCRIPTION

Allocates memory for a colormap cmap. len is the number of entries in the palette.

Returns -1 errno on error, or zero on success.